<?php

declare(strict_types=1);

namespace CpCreation\AltchaBundle\Security;

use CpCreation\AltchaBundle\Contract\TimeProviderInterface;

final class SystemTimeProvider implements TimeProviderInterface
{
    public function nowMilliseconds(): int
    {
        return (int) floor(microtime(true) * 1_000);
    }
}
